PLaSK library

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
plask::electrical::shockley::ElectricalFem3DSolver::Active Struct Reference

Details of active region. More...

`#include <solvers/electrical/shockley/electr3d.hpp>`

Collaboration diagram for plask::electrical::shockley::ElectricalFem3DSolver::Active:
[legend]

## Classes
struct | Region

## Public Member Functions
| Active ()
| Active (size_t tot, size_t v0, size_t v1, size_t t0, size_t t1, size_t l0, size_t l1, double h)
| Active (size_t tot, Region r, double h)

## Public Attributes
size_t | bottom
size_t | top
size_t | left
size_t | right
size_t | back
size_t | front
size_t | ld
ptrdiff_t | offset
double | height

## Detailed Description

Details of active region.

Definition at line 28 of file electr3d.hpp.

## Constructor & Destructor Documentation

## ◆ Active() [1/3]

plask::electrical::shockley::ElectricalFem3DSolver::Active::Active | ( |  | ) |
| inline

Definition at line 48 of file electr3d.hpp.

## ◆ Active() [2/3]

plask::electrical::shockley::ElectricalFem3DSolver::Active::Active | ( | size_t | tot,
|  | size_t | v0,
|  | size_t | v1,
|  | size_t | t0,
|  | size_t | t1,
|  | size_t | l0,
|  | size_t | l1,
|  | double | h
| ) |  |
| inline

Definition at line 58 of file electr3d.hpp.

## ◆ Active() [3/3]

plask::electrical::shockley::ElectricalFem3DSolver::Active::Active | ( | size_t | tot,
|  | Region | r,
|  | double | h
| ) |  |
| inline

Definition at line 68 of file electr3d.hpp.

## Member Data Documentation

## ◆ back

size_t plask::electrical::shockley::ElectricalFem3DSolver::Active::back

Definition at line 44 of file electr3d.hpp.

## ◆ bottom

size_t plask::electrical::shockley::ElectricalFem3DSolver::Active::bottom

Definition at line 44 of file electr3d.hpp.

## ◆ front

size_t plask::electrical::shockley::ElectricalFem3DSolver::Active::front

Definition at line 44 of file electr3d.hpp.

## ◆ height

double plask::electrical::shockley::ElectricalFem3DSolver::Active::height

Definition at line 47 of file electr3d.hpp.

## ◆ ld

size_t plask::electrical::shockley::ElectricalFem3DSolver::Active::ld

Definition at line 45 of file electr3d.hpp.

## ◆ left

size_t plask::electrical::shockley::ElectricalFem3DSolver::Active::left

Definition at line 44 of file electr3d.hpp.

## ◆ offset

ptrdiff_t plask::electrical::shockley::ElectricalFem3DSolver::Active::offset

Definition at line 46 of file electr3d.hpp.

## ◆ right

size_t plask::electrical::shockley::ElectricalFem3DSolver::Active::right

Definition at line 44 of file electr3d.hpp.

## ◆ top

size_t plask::electrical::shockley::ElectricalFem3DSolver::Active::top

Definition at line 44 of file electr3d.hpp.

The documentation for this struct was generated from the following file:

- solvers/electrical/shockley/electr3d.hpp